%define oname ppx_optcomp

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 5
Summary:        Optional compilation for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/ppx_optcomp
Source0:        https://github.com/janestreet/ppx_optcomp/archive/v%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base >= 0.11
BuildRequires:  ocaml-ppxlib >= 0.1.0
BuildRequires:  ocaml-stdio >= 0.11
BuildRequires:  ocaml-result-devel

%description
Optional compilation for OCaml

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670784
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551814
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545885
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485419
- rebuild for new ocaml-stdio/ocaml-ppxlib

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483885
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324741
- Update to 0.11.0

* Wed Aug 29 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255491
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241882
- rebuild against current ocaml stack
- enable debug package as it should

* Sat Jan 13 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1192970
- Fix BuildRequires
- Fix BuildRequires
- Fix BuildRequires
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Feb 18 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 965054
- imported package ocaml-ppx_optcomp

